Undo Cancel Addon
UndoCancelAddon clears cancel_at_period_end so the add-on renews with the VM.
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
Path Parameters
addonSubscriptionIdstring
Response Body
application/json
curl -X POST "https://api.noderings.com/v1/addon-subscriptions/{addonSubscriptionId}:undo-cancel" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}" \ -H "Content-Type: application/json" \ -d 'null'{
"addonSubscription": {
"id": "string",
"quantity": 0,
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"addonStatus": "ADDON_STATUS_UNSPECIFIED",
"cancelAtPeriodEnd": true,
"canceledAt": "2019-08-24T14:15:22Z",
"externalId": "string",
"subscriptionId": "string",
"addonId": "string",
"addonPriceId": "string",
"subscriptionName": "string",
"addonName": "string",
"addonCode": "string",
"unitAmount": "string",
"currency": "string",
"pricingModel": "PRICING_MODEL_UNSPECIFIED",
"addonType": "ADDON_TYPE_UNSPECIFIED",
"metadata": {},
"status": "STATUS_UNSPECIFIED",
"timestamps": {
"createTime": "2019-08-24T14:15:22Z",
"updateTime": "2019-08-24T14:15:22Z"
}
}
}